using Sirenix.OdinInspector;
using VOID.Generic.Objects.Abstract;
using VOID.Generic.Objects.Unit;

namespace VOID.Generic.Projectile.HitValidator
{
    [TypeRegistryItem("Other")]
    public class ProjectileHitOther : IProjectileHitValidator
    {
        public bool IsValid(UnitObject caster, AbstractObject target)
        {
            return caster != target;
        }
    }
}